graphics = {} -- namespace for various graphics functions
scripts = {} -- script name -> script function
classes = {}
classes.galaxy = {}
classes.shapes = {}
components = {}

-- deprecated functions in Lua 5.3
math.pow = function(x, y) return x ^ y end
math.atan2 = math.atan

table.insert(package.searchers, 2, load_lua)

rand_next = 0
function srand(x)
    rand_next = x
end
function rand()
    rand_next = (rand_next * 1103515245 + 12345) % (2^32)
    return math.floor(rand_next / 65536) % 32768
end
function rnd(a, b)
    if a == nil and b == nil then return rand() / 32768 end
    return a + rand() % (b - a + 1)
end
