helpers = {}

local b_s = function(rgb, x, y, z, w, h, d, s, tilt)
    if type(rgb) == "function" then
        rgb()
    elseif rgb ~= nil then
        color(rgb)
    end
    push()
    move(x, y, z)
    if tilt ~= nil then tilt() end
    size(w, h, d)
    size(0.5)
    move(1, 1, 1)
    s()
    pop()
end

helpers.b = function(rgb, x, y, z, w, h, d, tilt)
    b_s(rgb, x, y, z, w, h, d, function()
        make("box")
    end, tilt)
end

helpers.ch = function(rgb, x, y, z, w, h, d, b)
    b_s(rgb, x, y, z, w, h, d, function()
        begin_union()
        turn(0.5, 0, 0)
        make("cylinder")
        size((w - b * 2) / w, (d - b * 2) / d, 1.1)
        subtract("cylinder")
        end_union()
    end)
end

local field = function(name, x, anim)
    graphics[name] = function(t)
        turn(0.5, 0, 0)
        scale(0.1)
        x(t)
    end
    if not anim then
        graphics[name .. ".animation"] = "static"
    end
    classes.galaxy[name] = 1
end

field("mark", function()
    helpers.ch("red", -10, 0, -10, 20, 1, 20, 1)
    helpers.b("red", -10, 0, -0.5, 20, 1, 0.5)
    helpers.b("red", -0.5, 0, -10, 0.5, 1, 20)
    end)

