#ifndef _GAME_
#define _GAME_
#include "main.h"
#include "world.h"
#include "script/graphics.h"
#include "unit.h"
void game_init(void);
void game_new(void);
void repeat_level(void);
void next_level(void);
void game_tick(void);
LandVector get_point(Camera * cam, int x, int y, float z);
LandVector get_point2(Camera * cam, Landscape * ls, float x, float y);
void draw_under(void);
void draw_debug_grid(void);
void game_draw(void);
void game_done(void);
void make_stars(void);
void load_font(double scale);
bool tick_intro(void);
void draw_intro(void);
#endif
