#include "game/helper.h"
int helper_diamond_callback(int sx, int sy, int start_radius, int end_radius, int(* callback)(int x, int y, void * data), void * data) {
    /* If the callback returns anything but 0 return that value.
     * If the callback always returns 0 and end_radius is finished
     * return 0.
     * b
     * bab
     * ba*1234
     * ba234
     * b34
     * c4
     * d
     */
    int qx [] = {- 1, - 1, 1, 1};
    int qy [] = {1, - 1, - 1, 1};
    for (int r = start_radius; r < end_radius + 1; r += 1) {
        int rx = sx + r;
        int ry = sy;
        for (int q = 0; q < 4; q += 1) {
            for (int s = 0; s < r; s += 1) {
                int ret = callback(rx, ry, data);
                if (ret) {
                    return ret;
                }
                rx += qx [q];
                ry += qy [q];
            }
        }
    }
    return 0;
}
