#include "game/material.h"
Material* material_new(float r, float g, float b, float a) {
    Material * self;
    land_alloc(self);
    self->r = r;
    self->g = g;
    self->b = b;
    self->a = a;
    return self;
}
Material* material_clone(Material * self) {
    return material_new(self->r, self->g, self->b, self->a);
}
void material_destroy(Material * self) {
    land_free(self);
}
