#include "game/render.h"
static LandGLSLShader * _render_shader;
bool render_switch_shader(LandGLSLShader * shader) {
    if (_render_shader == shader) {
        return 0;
    }
    if (shader) {
        glUseProgram(shader->program_object);
    }
    _render_shader = shader;
    return 1;
}
bool render_shader_active(LandGLSLShader * shader) {
    return _render_shader == shader;
}
