#ifndef _SCRIPT_GRAPHICS_
#define _SCRIPT_GRAPHICS_
#include "common.h"
#include "game/material.h"
#include "script.h"
#include "main.h"
#include "game/object.h"
#include "model3d.h"
bool script_have_graphics(lua_State * l);
void script_graphics_remove_cache(str name);
Model3d* create_3d_model(str name, LandArray * states);
Model3d* script_graphics(lua_State * l, char const * name);
Model3d* script_graphics_load(char const * name);
Model3d* script_graphics_clip_box(char const * name, Object * clip_object);
int script_graphics_framecount(lua_State * l, char const * name);
void graphics_reload_all(void);
void graphics_reload_all_from(char const * subdir);
void graphics_load_all(void);
void graphics_load_all_from(char const * subdir);
#endif
