```
 ____                       _____           _       
/ ___| _ __   __ _  ___ ___|  ___|_ _ _ __ | |_ ___ 
\___ \| '_ \ / _` |/ __/ _ \ |_ / _` | '_ \| __/ __|
 ___) | |_) | (_| | (_|  __/  _| (_| | | | | |_\__ \
|____/| .__/ \__,_|\___\___|_|  \__,_|_| |_|\__|___/
      |_|                                           
```

# Compiling

The makefiles may or may not work. Basically just compile all the .c files and link to Allegro.

# Gameplay

Left mouse: build
Right mouse: turn
Left+Right mouse: scroll
1/2: select building
DEL: delete building
P: pause
M: toggle music

You should use the walls and bridges to guide the yellow elephants from the red X to the spiky ball.

# Bugs

The map is infinitely repeating but it doesn't fully work yet, sometimes things disappear randomly.

The elephants sometimes behave a bit randomly when hitting a wall or walking on a bridge. That's not on purpose but... well...

The hex selection doesn't always work, especially on steep slopes or high buildings.

There was plans for several levels where you have limited amount of resources, but had to scrap it all due to time, so you can building unlimited which makes for an unbalanced game experience.

# TINS Rules

## genre rule #143 
> Humoristic/Funny. Make the player laugh out loud at least once by funny situations, dialogue, or anything else in your game. 

Lots of funny things, from the funny dialog to the funny elephants to the funny sound effects and funny music.

## artistical rule #147
> Inspired by MC Escher

The map is infinitely repeating and the bridges work in an Escher way, as long as they *look* connected in the isometric perspective they *are* connected. You can also use this to catch a falling elephant with a bridge, by rotating the right way.

## artistical rule #94
> The game should contain a plug for another program or thing you made.

There is a hidden plug for one of my other speedhack entries.

## technical rule #113
> Hexagonal - something in the game must be hexagonal

Everything is hexagonal.

## bonus rule #13
> Test of Might - you may skip another rule if your code contains automated test coverage (integration or unit tests).

You can run the unit tests by providing the single "test" parameter when running the game. This is however purely a bonus since I did not skip any other rule.
