#ifndef _GAME_RIVERS_
#define _GAME_RIVERS_
typedef struct Rivers Rivers;
typedef struct End End;
typedef struct Data Data;
#include "common.h"
#include "land/land.h"
#include "helper.h"
struct Rivers {
    LandNoise * noise;
    LandNoise * count;
    int w, h;
    int * add;
    int * end;
    float snow_height;
    float water_height;
};
struct End {
    int x, y;
    int volume;
    int length;
};
struct Data {
    LandNoise * noise;
    float h;
    int x, y;
};
LandNoise* rivers(LandNoise * noise, float water_height, float snow_height);
#endif
