#include "main.h"
#include "game.h"
#include "world.h"
void realmain(void) {
    land_init();
    if (land_argument_equals(1, "test")) {
        int d = get_hex_dir(1, - 1);
        assert(d == 3);
        return ;
    }
    land_find_data_prefix("data/");
    int w, h;
    land_display_desktop_size(& w, & h);
    land_set_display_parameters((int)(w * 3 / 4), (int)(h * 3 / 4), LAND_WINDOWED | LAND_RESIZE | LAND_OPENGL | LAND_DEPTH);
    land_callbacks(game_init, game_tick, game_draw, game_done);
    land_mainloop();
}
land_use_main(realmain);
