#ifndef _SCRIPT_MODEL3D_
#define _SCRIPT_MODEL3D_
typedef struct Model3d Model3d;
#include "common.h"
#include "game/mesh.h"
struct Model3d {
    LandArray * frames;
    float render_time;
    char * name;
    float scale;
};
Model3d* model3d_new(str name);
void model3d_destroy(Model3d * self);
Mesh* model3d_get_mesh(Model3d * self, int frame);
#endif
